Package org.jfree.layouting.namespace

## Class DefaultNamespaceCollection

- java.lang.Object
- - org.jfree.layouting.namespace.DefaultNamespaceCollection

- All Implemented Interfaces:
    `NamespaceCollection`

      public class DefaultNamespaceCollection
      extends java.lang.Object
      implements NamespaceCollection

  Creation-Date: 13.04.2006, 12:38:42
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultNamespaceCollection​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDefinition​(NamespaceDefinition definition)` |
    `void` | `addDefinitions​(NamespaceDefinition[] definitions)` |
    `NamespaceDefinition` | `getDefinition​(java.lang.String namespace)` |
    `java.lang.String[]` | `getNamespaces​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNamespaceCollection

          public DefaultNamespaceCollection​()

  - ### Method Detail

    - #### addDefinitions

          public void addDefinitions​(NamespaceDefinition[] definitions)

    - #### addDefinition

          public void addDefinition​(NamespaceDefinition definition)

    - #### getNamespaces

          public java.lang.String[] getNamespaces​()

      Specified by:
        `getNamespaces` in interface `NamespaceCollection`

    - #### getDefinition

          public NamespaceDefinition getDefinition​(java.lang.String namespace)

      Specified by:
        `getDefinition` in interface `NamespaceCollection`